Version 6.7.7 Source

Table Name: `tabAuthorization Rule`

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `company` | Link | Company | Company
2 | `transaction` | Select | Transaction |
    Delivery Note
    Purchase Invoice
    Purchase Order
    Purchase Receipt
    Quotation
    Sales Invoice
    Sales Order
    Appraisal
3 | `based_on` | Select | Based On |
    Grand Total
    Average Discount
    Customerwise Discount
    Itemwise Discount
    Not Applicable
4 | `master_name` | Link | Customer / Item Name |
5 | `system_role` | Link | Applicable To (Role) | Role
6 | `system_user` | Link | Applicable To (User) | User
7 | `to_emp` | Link | Applicable To (Employee) This will be used for setting rule in HR module | Employee
8 | `to_designation` | Link | Applicable To (Designation) This will be used for setting rule in HR module | Designation
9 | `approving_role` | Link | Approving Role | Role
10 | `approving_user` | Link | Approving User | User
11 | `value` | Float | Above Value |

### Controller

#### erpnext.setup.doctype.authorization_rule.authorization_rule

### Class AuthorizationRule

Inherits from frappe.model.document.Document

check_duplicate_entry (self)

No docs

validate (self)

No docs

validate_rule (self)

No docs